Name:           perl-CatalystX-InjectComponent
Version:        0.025
Release:        1%{?dist}
Summary:        Inject components into your Catalyst application
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/CatalystX-InjectComponent/
Source0:        http://search.cpan.org/CPAN/authors/id/R/RO/ROKR/CatalystX-InjectComponent-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl(Carp)
BuildRequires:  perl(Catalyst::Runtime) >= 5.80000
BuildRequires:  perl(Class::Inspector)
BuildRequires:  perl(Devel::InnerPackage)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(parent)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Test::Most)
Requires:       perl(Catalyst::Runtime) >= 5.80000
Requires:       perl(parent)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%{?perl_default_filter}

%description
CatalystX::InjectComponent will inject Controller, Model, and View components
into your Catalyst application at setup (run)time. It does this by creating a
new package on-the-fly, having that package extend the given component, and
then having Catalyst setup the new component (via ->setup_component).

%prep
%setup -q -n CatalystX-InjectComponent-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} %{buildroot}/*

%check
make test

%files
%doc Changes README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Sat Jul 21 2012 Iain Arnell <iarnell@gmail.com> 0.025-1
- update to latest upstream version

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.024-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Jul 02 2012 Petr Pisar <ppisar@redhat.com> - 0.024-3
- Perl 5.16 rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.024-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Sep 30 2011 Iain Arnell <iarnell@gmail.com> 0.024-1
- Specfile autogenerated by cpanspec 1.78.
